--- title: "Send_SMS" slug: "send-sms" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/send-sms" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # Send_SMS Post/api/v1/{api_key}/sendsms Enables agents to send SMS messages via the API. Agents are identified by their extensions (agent parameter). The destination numbers are specified in the number parameter. Header parametersContent-TypeRequiredValid values[ "application/json" ] Path parametersapi_keystringRequired The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key). Example{contact_center_api_key} Body parametersobject agentinteger (int32) Required Agent extension numberstring Required Destination phone number bodystring Required SMS body. 1-1600 chars. Links are not supported in SMS sender_idstring Your call center SenderID. If this field is empty, a random SenderID from the 'Default' group is used. The request fails if you have no SenderIDs configured crmstring Name of sending application or CRM account_idstring The CRM Account ID for the contact at the destination number. This parameter may also be used when you specify the crm parameter. Responses200 All parameters are valid and the SMS sending is successful. example1 Success SMS successfully sent ```json { "sms_id": "cf283919-86f4-46a6-8b45-29bd7a752827", "segments": 1 } ``` Example{ "sms_id": "cf283919-86f4-46a6-8b45-29bd7a752827", "segments": 1 }sms_idstring (uuid) segmentsinteger (int32) 400 Incorrect body parameters sms_error_types One of the Error Messages from 'SMS Error Types' One of the Error Messages from 'SMS Error Types' ```json { "error": "SMS is not allowed" } ``` object Example{ "error": "SMS is not allowed" } 403 Invalid api_key example1 Error1 Invalid API key ```json { "error": "Invalid api_key" } ``` Example{ "error": "Invalid api_key" }